Bug 168383 - port databases/pecl-memcache - Undefined symbol "mmc_queue_pop" with clang
Summary: port databases/pecl-memcache - Undefined symbol "mmc_queue_pop" with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-27 18:20 UTC by Nicolas Raspail
Modified: 2013-02-07 15:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Raspail 2012-05-27 18:20:06 UTC
Hi

The compilation of pecl-memcache  with clang is ok but when the module is used, the following error appears in the apache logs and the web page is blank :

==> error.log <==
/usr/local/lib/php/20100525/memcache.so: Undefined symbol "mmc_queue_pop"/usr/local/lib/php/20100525/memcache.so: Undefined symbol "mmc_queue_pop"

The solutions is to put USE_CSTD=gnu89 in the Makefile

Fix: 

The solutions is to put USE_CSTD=gnu89 in the Makefile
How-To-Repeat: Try to compile pecl-memcache with clang
Comment 1 Edwin Groothuis freebsd_committer 2012-05-27 21:45:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-05-27 21:45:16 UTC
Maintainer of databases/pecl-memcache,

Please note that PR ports/168383 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/168383

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-05-27 21:45:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Martin Wilke freebsd_committer 2012-08-05 06:45:15 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

back to pool
Comment 5 Michael Scheidell freebsd_committer 2012-08-05 22:33:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 6 Michael Scheidell freebsd_committer 2012-08-05 22:36:44 UTC
Responsible Changed
From-To: scheidell->sunpoet

Sorry, I took this old pr, and upon editing the Makefile, noticed you too maintainership. 
so, over to you,
Comment 7 c.kworr 2012-10-03 14:13:37 UTC
Just hit this one again. The fix is straightforward and logical, can it 
be committed?
-- 
Sphinx of black quartz, judge my vow.
Comment 8 Martin Wilke freebsd_committer 2013-02-07 15:05:12 UTC
State Changed
From-To: feedback->closed

i take it 


Comment 9 Martin Wilke freebsd_committer 2013-02-07 15:05:12 UTC
Responsible Changed
From-To: sunpoet->miwi

bug confirmed and fixed. thx for your report
Comment 10 dfilter service freebsd_committer 2013-02-07 15:05:14 UTC
Author: miwi
Date: Thu Feb  7 15:05:02 2013
New Revision: 311862
URL: http://svnweb.freebsd.org/changeset/ports/311862

Log:
  - Fix Undefined symbol "mmc_queue_pop" with clang
  
  PR:		168383
  Submitted by:	Nicolas Raspail <nicolas.raspail@gmail.com>
  Approved by:	maintainer timeout

Modified:
  head/databases/pecl-memcache/Makefile

Modified: head/databases/pecl-memcache/Makefile
==============================================================================
--- head/databases/pecl-memcache/Makefile	Thu Feb  7 14:57:49 2013	(r311861)
+++ head/databases/pecl-memcache/Makefile	Thu Feb  7 15:05:02 2013	(r311862)
@@ -20,6 +20,7 @@ USE_PHP=	zlib session
 USE_PHP_BUILD=	yes
 USE_PHPEXT=	yes
 USE_PHPIZE=	yes
+USE_CSTD=	gnu89
 
 .include <bsd.port.options.mk>
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"